# Contributing to Rock & Scissor projects
We actively encourage contributing to all of our open-source projects in all of the following areas:

- Reporting a bug
- Submitting a fix for a bug
- Discussing and improving the code
- Proposing new features

## We Develop with GitHub & BitBucket
We host most of our open-source projects on GitHub although some will be on BitBucket (we use BitBucket mostly for our private commercial projects).

## We typically use [Git Feature Branch Workflow](https://www.atlassian.com/git/tutorials/comparing-workflows/feature-branch-workflow) on our projects
This means that pull requests are the best way to propose changes to the codebase. We actively welcome your pull requests:

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. Issue that pull request!

## Any contributions you make will be under the MIT Software License
In short, when you submit code changes, your submissions are understood to be under the same [MIT License](http://choosealicense.com/licenses/mit/) that covers the project. Feel free to contact the maintainers if that's a concern.

## Report bugs using Github's issues
We use GitHub issues to track public bugs. Report a bug by [opening a new issue](); we already have two templates setup so its super easy, barely an inconvenience!

Don't forget to be thorough in your description of the bug, we love detail!

## Use a Consistent Coding Style
* 4 spaces for indentation rather than tabs (we use a .editorconfig file for consistency)
* Comments should match the existing format in this repo and be written in clear english with enough detail about what it's describing.

## License
By contributing, you agree that your contributions will be licensed under its [MIT License](http://emd.mit-license.org/).
